document.addEventListener('DOMContentLoaded', function() {
  // Add status class to status cells
  document.querySelectorAll('td[data-measure="status"]').forEach(cell => {
    const status = cell.textContent.toLowerCase();
    if (status.includes('business')) {
      cell.classList.add('status-in-business');
    } else if (status.includes('acquired')) {
      cell.classList.add('status-acquired');
    } else if (status.includes('out of business')) {
      cell.classList.add('status-closed');
    }
  });

  // Format currency cells
  document.querySelectorAll('td[data-measure="askAmount"], td[data-measure="dealAmount"]').forEach(cell => {
    if (cell.textContent && cell.textContent !== 'None') {
      const amount = parseFloat(cell.textContent.replace(/[^0-9.]/g, ''));
      if (!isNaN(amount)) {
        cell.textContent = new Intl.NumberFormat('en-US', {
          style: 'currency',
          currency: 'USD',
          maximumFractionDigits: 0
        }).format(amount);
      }
    }
  });
});
